// src/main.tsx
import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import { createBrowserRouter, RouterProvider } from "react-router-dom";
import './index.css';

import App from './App.tsx';
import { TechniquesPage } from './pages/TechniquesPage.tsx';
import { TechniqueDetailPage } from './pages/TechniqueDetailPage.tsx';
import { PuzzlesPage } from './pages/PuzzlesPage.tsx'; // 【新增】导入谜题库页面

const router = createBrowserRouter([
  {
    path: "/",
    element: <App />,
  },
  {
    path: "/techniques",
    element: <TechniquesPage />,
  },
  {
    path: "/techniques/:skillId",
    element: <TechniqueDetailPage />,
  },
  // 【新增】为谜题库添加路由
  {
    path: "/puzzles",
    element: <PuzzlesPage />,
  },
]);

createRoot(document.getElementById('root')!).render(
  <StrictMode>
    <RouterProvider router={router} />
  </StrictMode>,
);